# QGCache Class Reference

The QGCache class is an internal class for implementing QCache and QIntCache. More...

`#include <qgcache.h>`

Inherits QCollection.

Inherited by QCache and QIntCache.

List of all member functions.

## Protected Members

- QGCache ( int maxCost, uint size, bool caseS, bool copyKeys, bool trivial )
- QGCache ( const QGCache & )
- ~QGCache ()
- QGCache& operator= ( const QGCache & )
- virtual uint count () const
- uint size () const
- int maxCost () const
- int totalCost () const
- void setMaxCost ( int maxCost )
- bool insert ( const char * key, GCI, int cost, int priority )
- bool remove ( const char * key )
- GCI take ( const char * key )
- virtual void clear ()
- GCI find ( const char * key, bool ref=TRUE ) const
- void statistics () const

## Detailed Description

The QGCache class is an internal class for implementing QCache and QIntCache.

QGCache is a strictly internal class that acts as a base class for the collection classes QCache and QIntCache.

## Member Function Documentation

### QGCache::QGCache ( const QGCache & ) `[protected]`

For internal use only.

### QGCache::QGCache ( int maxCost, uint size, bool caseS, bool copyKeys, bool trivial ) `[protected]`

For internal use only.

### QGCache::~QGCache () `[protected]`

For internal use only.

### void QGCache::clear () `[virtual protected]`

For internal use only.

Reimplemented from QCollection.

### uint QGCache::count () const `[virtual protected]`

For internal use only.

Reimplemented from QCollection.

### GCI QGCache::find ( const char * key, bool ref=TRUE ) const `[protected]`

For internal use only.

### bool QGCache::insert ( const char * key, GCI data, int cost, int priority ) `[protected]`

For internal use only.

### int QGCache::maxCost () const `[protected]`

For internal use only.

### QGCache & QGCache::operator= ( const QGCache & ) `[protected]`

For internal use only.

### bool QGCache::remove ( const char * key ) `[protected]`

For internal use only.

### void QGCache::setMaxCost ( int maxCost ) `[protected]`

For internal use only.

### uint QGCache::size () const `[protected]`

For internal use only.

### void QGCache::statistics () const `[protected]`

For internal use only.

### GCI QGCache::take ( const char * key ) `[protected]`

For internal use only.

### int QGCache::totalCost () const `[protected]`

For internal use only.

Search the documentation, FAQ, qt-interest archive and more (uses www.troll.no):

This file is part of the Qt toolkit, copyright © 1995-99 Troll Tech, all rights reserved.

It was generated from the following files:

- qgcache.h: 1998/08/19
- qgcache.cpp: 1998/11/26